package ssl;

/**
 * This is a mechanically-generated class designed to help me figure out
 * why PureTLS-SSL and RMI were working so horribly together.
 */
public class DebugOutputStream
	extends java.io.FilterOutputStream {

	public DebugOutputStream(java.io.OutputStream p0) {
		super(p0);
		System.err.println("DebugOutputStream.DebugOutputStream()");
	}

	public void close()
		throws java.io.IOException {
		System.err.println("DebugOutputStream.close()");
		super.close();
	}

	public void flush()
		throws java.io.IOException {
		System.err.println("DebugOutputStream.flush()");
		super.flush();
	}

	public void write(int p0)
		throws java.io.IOException {
		System.err.println("DebugOutputStream.write()");
		super.write(p0);
	}

	public void write(byte[] p0)
		throws java.io.IOException {
		System.err.println("DebugOutputStream.write()");
		super.write(p0);
	}

	public void write(byte[] p0, int p1, int p2)
		throws java.io.IOException {
		System.err.println("DebugOutputStream.write()");
		super.write(p0, p1, p2);
	}

}
